Subject: bug#47249: closed (Re: bug#47249: 27.0.50; configure uses nextstep despite being told to use lucid)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Sep 2023 19:11:02 +0000

Your bug report

#47249: 27.0.50; configure uses nextstep despite being told to use lucid

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47249: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47249
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47249: 27.0.50; configure uses nextstep despite being told to use lucid
From: Stefan Kangas <[email-masked]>
To: Markus Triska <[email-masked]>
Cc: Alan Third <[email-masked]>, [email-masked]
Date: Thu, 14 Sep 2023 12:09:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Markus Triska <[email-masked]> writes:

>> I am not very familiar with X builds on macOS, but I assume that you
>> have those headers installed?  Why can't configure find them?
>>
>> I copied in Alan Third, our macOS expert.  (I see that he replied
>> separately earlier in the thread.)
>
> I have now upgraded my installation of these headers, and it now works,
> so I think this issue can be closed as resolved.

Thank you for reporting back.  Closing.

Subject: 27.0.50; configure uses nextstep despite being told to use lucid
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Thu, 18 Mar 2021 23:21:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

When configuring Emacs-27.2 RC1 with:

    $ ./configure --with-x-toolkit=lucid CFLAGS=-I/opt/local/include/ LDFLAGS=-L/opt/local/lib

The configure output ends with:

 Where should the build process find the source code?    .
  What compiler should emacs be built with?               gcc -I/opt/local/include/
  Should Emacs use the GNU version of malloc?             no
    (The GNU allocators don't work with this system configuration.)
  Should Emacs use a relocating allocator for buffers?    no
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    nextstep
  ...

I.e., it uses nextstep despite being told to use lucid.

I see the same issue with Emacs 27.1, but not with the Emacs development
version that I use to report this issue.

configure.ac mentions the switch --without-ns, but is this actually implemented?

    Either fix this, or re-configure with the option '--without-ns'.])])

--without-ns is not mentioned in the output of ./configure --help.

Thank you and all the best,
Markus

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin18.0.0, X toolkit, Xaw scroll bars)
 of 2018-11-15 built on mac
Repository revision: b4eb908f858284a7962851fd99c94598f76afa6f
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:  Mac OS X 10.14.2